package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydLogVo;
import org.dromara.payment.sys.domain.bo.SysSydLogBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商变动记录Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydLogService {

    /**
     * 查询服务商变动记录
     */
    SysSydLogVo queryById(Long id);

    /**
     * 查询服务商变动记录列表
     */
    TableDataInfo<SysSydLogVo> queryPageList(SysSydLogBo bo, PageQuery pageQuery);

    /**
     * 查询服务商变动记录列表
     */
    List<SysSydLogVo> queryList(SysSydLogBo bo);

    /**
     * 新增服务商变动记录
     */
    Boolean insertByBo(SysSydLogBo bo);

    /**
     * 修改服务商变动记录
     */
    Boolean updateByBo(SysSydLogBo bo);

    /**
     * 校验并批量删除服务商变动记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
